# Tracking Shipment

## Track Shipment&#x20;

[`https://live.sendbox.co/shipping/tracking`](https://api.sendbox.co/shipping/tracking)

This tracks a shipment&#x20;

{% tabs %}
{% tab title="Request" %}

## Headers

| Name          | Type   | Description       |
| ------------- | ------ | ----------------- |
| Authorization | String | Authorization-key |
| Content-type  | String | application/json  |

## Body Parameters&#x20;

| Name         | Type   | Description            |
| ------------ | ------ | ---------------------- |
| code         | String | shipment tracking code |
| {% endtab %} |        |                        |

{% tab title="Response" %}
201: Created

This returns the details of a shipment and tracking events.

```
{
    "status": {
        "code": "delivered",
        "name": "Delivered"
    },
    "code": "0008927630",
    "last_updated": "2019-11-13T21:07:59.605566",
    "courier": {
        "name": "DHL"
    },
    "amount_to_receive": 5000,
    "status_code": "delivered",
    "sensitivity": null,
    "reference_code": null,
    "origin_state_code": "LOS",
    "agent": {
        "name": "DHL BOT"
    },
    "delivery_eta": "2019-11-09T23:59:59.976552",
    "is_spillable": false,
    "destination_name": "Paul Chukelu",
    "destination_address": "512 Cobblestone Creek, Mableton, Georgia, Mableton Georgia United States Of America",
    "origin_country_code": "NG",
    "id": 51196,
    "origin_country": {
        "code": "NG",
        "name": "Nigeria"
    },
    "is_confidential": false,
    "short_destination_address": "Mableton Georgia United States Of America",
    "origin_name": "Looks Like A Good Man",
    "short_origin_address": "Anthony Lagos Nigeria",
    "total_value": 5000,
    "accept_value_on_delivery": false,
    "origin_state": {
        "code": "LOS",
        "name": "Lagos"
    },
    "notes": null,
    "origin_address": "71 Adebayo Mokuolu Street, New Castle Anthony Lagos Nigeria",
    "date_created": "2019-11-08T16:50:17.044031",
    "is_fragile": false,
    "pickup_date": "2019-11-08T16:50:15.026374",
     "events": [
        {
            "status": {
                "code": "delivered",
                "name": "Delivered"
            },
            "last_updated": "2019-11-13T21:08:00.685932",
            "description": "package was delivered succesfully",
            "courier": {
                "name": "DHL"
            },
            "status_code": "delivered",
            "previous_status": {
                "code": "in_delivery",
                "name": "In Delivery"
            },
            "tracking_code": "0008927630",
            "delivery_eta": null,
            "delivery_status": {
                "code": null,
                "name": null
            },
            "previous_status_code": "in_delivery",
            "current_courier": {
                "name": "DHL"
            },
            "location_description": "GA-US",
            "delivery_status_code": null,
            "date_created": "2019-11-13T21:08:00.685940"
        }Staging URL: https://sandbox.staging.sendbox.co/shipping/tracking
```

{% endtab %}
{% endtabs %}

```
Staging URL: https://sandbox.staging.sendbox.co/shipping/tracking
```

### Tracking Response&#x20;

At different times, there are different tracking status in the payload. Sendbox allows you track your shipment in real-time.&#x20;

{% hint style="danger" %}

### Book on hold

This means the shipment hasn't been paid for. User might need to fund their account to complete their shipment request. it comes back with `code:"drafted"` as the status code in the response.
{% endhint %}

{% hint style="info" %}

### Pending

This means the shipment request was successful and is waiting to be picked up.  comes back with code:"pending" as the status code in the response.
{% endhint %}

{% hint style="info" %}

### Pick up started

This means shipment has been picked up. comes back with `code:"pickup_started"` as the status code in the response.
{% endhint %}

{% hint style="info" %}

### Pick up completed&#x20;

This means the pick up process has been completed. comes back with `code:"pickup_completed`" in the status code response.
{% endhint %}

{% hint style="info" %}

### Delivery Started&#x20;

This means the delivery process has started. comes back with `code:in_delivery` in the status code response.
{% endhint %}

{% hint style="info" %}

### In Transit&#x20;

This means delivery is in transit and it's updated in real-time. Comes back with `code:"in_transit"` as the status code in the response.
{% endhint %}

{% hint style="success" %}

### Delivered&#x20;

This means the entire process has been completed and the shipment has been delivered. Comes back with `code:"deliverd"` as the status code in the response.&#x20;
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sendbox.co/shipping/track-shipment.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
